1

I need a GUI beautifier for C code. I've found UniversalIndentGUI on sourceforge. Downloaded a .deb file.Opened it with Ubuntu Software Center to install it but the button is grey and unclickable and there is a line saying

Dependency is not satisfiable: libqscintilla2-3.

I've installed via the Synaptic Package Manager libqscintilla2-5 but that didn't help. Is there any way to install the UniversalIndentGUI, the libqscintilla2-3 package or to some how work around the problem?

  • See answer below, the problem is solved. – Panther Apr 18 '15 at 18:04
2

I've installed the package "universalindentgui" with Synaptic Package Manager instead of trying to install the .deb file with Ubuntu Software Center.The Manager installed 8 other packages but I think all of them were the terminal tools used behind the GUI (such as astyle , uncrustify etc). The Manager didn't however installed a package with a similar name to "libqscintilla" or any of listed in blueXrider answer.The application seems to work fine.

1
  1. Sourceforge may not be the best source for this. There is a PPA for UniversalindentGUI
  2. Usually dependencies for your distribution are not being met because it was compiled for a different distro version. ie: installing something from Natty instead of Precise.
  3. Refer to the Launchpad for correct documentation HERE
  4. Prior to installation download the build dependencies stated.

Current stable version:

Build dependencies

debhelper (>= 8.0.0)
libqscintilla2-dev
libqt4-dev
quilt (>= 0.46-7)
  • Thank you for answering blueXrider , but i found a very simple solutions tath works for me. Read my answer for details. – DNikolov Sep 24 '12 at 9:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.